//
//  AutoresizingMaskView.swift
//  Subviews
//
//  Created by Mark Meretzky on 12/11/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class AutoresizingMaskView: UIView {

	override init(frame aRect: CGRect) {
		super.init(frame: aRect);
		backgroundColor = UIColor.yellowColor();
		autoresizingMask = UIViewAutoresizing.FlexibleWidth | UIViewAutoresizing.FlexibleHeight;

		//top left
		var frame: CGRect = CGRectMake(bounds.origin.x, bounds.origin.y, 100, 100);
		var square: Square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleBottomMargin;
		addSubview(square);

		//top center
		frame = CGRectMake(bounds.origin.x + bounds.size.width / 2 - 50, bounds.origin.y, 100, 100);
		square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleBottomMargin;
		addSubview(square);

		//top right
		frame = CGRectMake(bounds.origin.x + bounds.size.width - 100, bounds.origin.y, 100, 100);
		square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleBottomMargin;
		addSubview(square);

		//mid left
		frame = CGRectMake(bounds.origin.x, bounds.origin.y + bounds.size.height / 2 - 50, 100, 100);
		square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleTopMargin
			| UIViewAutoresizing.FlexibleBottomMargin;
		addSubview(square);

		//mid center
		frame = CGRectMake(bounds.origin.x + bounds.size.width / 2 - 50, bounds.origin.y + bounds.size.height / 2 - 50, 100, 100);
		square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleTopMargin
			| UIViewAutoresizing.FlexibleBottomMargin;
		addSubview(square);

		//mid right
		frame = CGRectMake(bounds.origin.x + bounds.size.width - 100, bounds.origin.y + bounds.size.height / 2 - 50, 100, 100);
		square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleTopMargin
			| UIViewAutoresizing.FlexibleBottomMargin;
		addSubview(square);

		//bottom left
		frame = CGRectMake(bounds.origin.x, bounds.origin.y + bounds.size.height - 100, 100, 100);
		square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleTopMargin;
		addSubview(square);

		//bottom center
		frame = CGRectMake(bounds.origin.x + bounds.size.width / 2 - 50, bounds.origin.y + bounds.size.height - 100, 100, 100);
		square = Square(frame: frame);
		addSubview(square);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleTopMargin;

		//bottom right
		frame = CGRectMake(bounds.origin.x + bounds.size.width - 100, bounds.origin.y + bounds.size.height - 100, 100, 100);
		square = Square(frame: frame);
		square.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleTopMargin;
		addSubview(square);
	}

	//not called
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
		backgroundColor = UIColor.yellowColor();
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
